Summary: 	SQLite is a C library that implements an embeddable SQL database engine
Name: 		sqlite
Version: 	2.8.13 
Release:	2ied00 
Source: 	http://www.sqlite.org/%{name}-%{version}.tar.gz
Group:		Applications/Databases	
URL: 		http://www.sqlite.org	
License: 	Public Domain
Packager:	Wei He <hewei@ied.org.cn>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

Patch0:		sqlite-2.8.13-makefile.patch

#----------------------------------------------------------------------
%description
SQLite is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite) that can be used to
administer an SQLite database and which serves as an example of how to
use the SQLite library.

#----------------------------------------------------------------------
%package -n %{name}-devel
Summary: Header files and libraries for developing apps which will use sqlite
Group: Development/Libraries 
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The sqlite-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

#----------------------------------------------------------------------
%prep
%setup -q -n %{name}
%patch0 -p0

#----------------------------------------------------------------------
%build
CFLAGS="%optflags -DNDEBUG=1"
CXXFLAGS="%optflags -DNDEBUG=1"
%configure \
  --enable-utf8

%{__make}
%{__make} doc

#----------------------------------------------------------------------
%install

%makeinstall
%{__install} -d $RPM_BUILD_ROOT/%{_mandir}/man1
%{__install} %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

#----------------------------------------------------------------------
%files
%defattr(-, root, root)
%{_libdir}/*.so*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/sqlite.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%doc doc/*

#----------------------------------------------------------------------
%changelog
* Tue Apr 14 2004 Wei He <hewei@ied.org.cn> 2.8.13-2ied00
- patched Makefile.in according to CVS to add encode.c
  APIs into the library.

* Thu Apr 8 2004 Wei He <hewei@ied.org.cn> 2.8.13-1ied00
- based on the official source rpm at 
  http://www.sqlite.org/sqlite-2.8.13-1.src.rpm
- added sqlite man page
- first release
